<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\GuardPatrolEntry;
use App\Models\User;

class GuardPatrolEntryPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any GuardPatrolEntry');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, GuardPatrolEntry $guardpatrolentry): bool
    {
        return $user->checkPermissionTo('view GuardPatrolEntry');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create GuardPatrolEntry');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, GuardPatrolEntry $guardpatrolentry): bool
    {
        return $user->checkPermissionTo('update GuardPatrolEntry');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, GuardPatrolEntry $guardpatrolentry): bool
    {
        return $user->checkPermissionTo('delete GuardPatrolEntry');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any GuardPatrolEntry');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, GuardPatrolEntry $guardpatrolentry): bool
    {
        return $user->checkPermissionTo('restore GuardPatrolEntry');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any GuardPatrolEntry');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, GuardPatrolEntry $guardpatrolentry): bool
    {
        return $user->checkPermissionTo('replicate GuardPatrolEntry');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder GuardPatrolEntry');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, GuardPatrolEntry $guardpatrolentry): bool
    {
        return $user->checkPermissionTo('force-delete GuardPatrolEntry');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any GuardPatrolEntry');
    }
}
